Jobs - Start

Een Container Apps-taak starten

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/jobs/{jobName}/start?api-version=2026-07-01

URI-parameters

Naam In Vereist Type Description
jobName
path True

string

pattern: ^[-\w\._\(\)]+$

Taaknaam

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resource group. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De ID van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Naam Type Description
containers

JobExecutionContainer[]

Lijst met containerdefinities voor de Container Apps-taak.

initContainers

JobExecutionContainer[]

Lijst met gespecialiseerde containers die vóór taakcontainers worden uitgevoerd.

Antwoorden

Naam Type Description
200 OK

JobExecutionBase

De Azure-bewerking is voltooid.

202 Accepted

Resourcebewerking geaccepteerd.

Kopteksten

  • Location: string
  • Retry-After: integer
Other Status Codes

DefaultErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Naam Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Run a Container Apps Job

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/jobs/testcontainerAppsJob0/start?api-version=2026-07-01

{
  "containers": [
    {
      "name": "testcontainerAppsJob0",
      "image": "repo/testcontainerAppsJob0:v4",
      "resources": {
        "cpu": 0.2,
        "memory": "100Mi"
      }
    }
  ],
  "initContainers": [
    {
      "name": "testinitcontainerAppsJob0",
      "args": [
        "-c",
        "while true; do echo hello; sleep 10;done"
      ],
      "command": [
        "/bin/sh"
      ],
      "image": "repo/testcontainerAppsJob0:v4",
      "resources": {
        "cpu": 0.2,
        "memory": "100Mi"
      }
    }
  ]
}

Voorbeeldrespons

{
  "name": "testcontainerAppsJob0-pjxhsye",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/jobs/{containerAppsJobName}/executions/{jobExecutionName}"
}
Location: location

Definities

Naam Description
ContainerResources

Resourcevereisten voor container-app-containers.

DefaultErrorResponse

Foutreactie van App Service.

DefaultErrorResponseError

Foutmodel.

DefaultErrorResponseErrorDetailsItem

Gedetailleerde fouten.

EnvironmentVar

Container App-containeromgevingsvariabele.

JobExecutionBase

De taakuitvoeringsnaam van container-app.

JobExecutionContainer

Containerdefinitie Container Apps-taken uitvoeren.

JobExecutionTemplate

Taakuitvoeringssjabloon met containerconfiguratie voor de uitvoering van een taak

ContainerResources

Resourcevereisten voor container-app-containers.

Naam Type Description
cpu

number (double)

Vereiste CPU in kernen, bijvoorbeeld 0,5

ephemeralStorage

string

Kortstondige opslag, bijv. "1Gi"

memory

string

Vereist geheugen, bijvoorbeeld '250 Mb'

DefaultErrorResponse

Foutreactie van App Service.

Naam Type Description
error

DefaultErrorResponseError

Foutmodel.

DefaultErrorResponseError

Foutmodel.

Naam Type Description
code

string

Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren.

details

DefaultErrorResponseErrorDetailsItem[]

Details of de fout

innererror

string

Meer informatie om fouten op te sporen.

message

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

target

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

DefaultErrorResponseErrorDetailsItem

Gedetailleerde fouten.

Naam Type Description
code

string

Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren.

message

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

target

string

Gedetailleerde foutbeschrijving en foutopsporingsinformatie.

EnvironmentVar

Container App-containeromgevingsvariabele.

Naam Type Description
name

string

Naam van omgevingsvariabele.

secretRef

string

Naam van het container-app-geheim waaruit de waarde van de omgevingsvariabele moet worden opgehaald.

value

string

Niet-geheime omgevingsvariabelewaarde.

JobExecutionBase

De taakuitvoeringsnaam van container-app.

Naam Type Description
id

string

Id voor taakuitvoering.

name

string

Naam van taakuitvoering.

JobExecutionContainer

Containerdefinitie Container Apps-taken uitvoeren.

Naam Type Description
args

string[]

Opdrachtargumenten voor het starten van de container.

command

string[]

Startopdracht container.

env

EnvironmentVar[]

Omgevingsvariabelen voor containers.

image

string

Tag containerinstallatiekopieën.

name

string

Aangepaste containernaam.

resources

ContainerResources

Vereisten voor containerresources.

JobExecutionTemplate

Taakuitvoeringssjabloon met containerconfiguratie voor de uitvoering van een taak

Naam Type Description
containers

JobExecutionContainer[]

Lijst met containerdefinities voor de Container Apps-taak.

initContainers

JobExecutionContainer[]

Lijst met gespecialiseerde containers die vóór taakcontainers worden uitgevoerd.